Last modified: 2014-08-01 19:19:03 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 63483 - Shifting from UserMailer to Swift Mailer
Shifting from UserMailer to Swift Mailer
Status: RESOLVED WONTFIX
Product: MediaWiki
Classification: Unclassified
Email (Other open bugs)
1.23.0
All All
: High enhancement (vote)
: ---
Assigned To: Tony Thomas
https://www.mediawiki.org/wiki/Thread...
:
Depends on:
Blocks: 1932
  Show dependency treegraph
 
Reported: 2014-04-03 14:07 UTC by Tony Thomas
Modified: 2014-08-01 19:19 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Tony Thomas 2014-04-03 14:07:32 UTC
>>Tyler Romeo: 
https://www.mediawiki.org/wiki/Talk:Requests_for_comment/Third-party_components

Swift_Mailer seems to be lot robust than PHP MailUser. "PHPMailer has everything packed into a few classes, whereas Swift_Mailer actually has a separation of concerns, with classes for attachments, transport types, etc. A result of this is that PHPMailer has two different functions for embedding multimedia: addEmbeddedImage() for files and addStringEmbeddedImage() for strings. Another example is that PHPMailer supports only two bodies for multipart messages, whereas Swift_Mailer will add in as many bodies as you tell it to since a body is wrapped in its own object. In addition, PHPMailer only really supports SMTP, whereas Swift_Mailer has an extensible transport architecture, and multiple transport providers. (And there's also plugins, and monolog integration, etc.)
Comment 1 Tony Thomas 2014-04-03 14:12:36 UTC
Before implementing VERP functionality for MediaWiki, we need the public conscience on the migration, as VERP needs to be implemented as a plugin to SwiftMailer, if it needs to be. 
Discussions till date: https://www.mediawiki.org/wiki/Talk:VERP
Comment 2 Nemo 2014-04-10 13:50:40 UTC
Owen, I'm adding you to cc because <https://www.mediawiki.org/wiki/Requests_for_comment/UserMailer_refactor> is currently considered superseded by this bug. I hope this will be of use for Wikia too; if you have thoughts please share on this bug or on mediawiki.org.
Comment 3 Tony Thomas 2014-04-29 16:01:25 UTC
Adding in the wikitech-i mails regarding this proposal. Looks like we need more feedback. 
http://lists.wikimedia.org/pipermail/wikitech-l/2014-April/076250.html
Comment 4 Tony Thomas 2014-05-25 12:27:30 UTC
Patch submitted in Gerrit
https://gerrit.wikimedia.org/r/#/c/135290/
Comment 5 Gerrit Notification Bot 2014-06-02 11:47:27 UTC
Change 135290 had a related patch set uploaded by 01tonythomas:
Shifted from PEAR/PHP mailer to Swift Mailer

https://gerrit.wikimedia.org/r/135290
Comment 6 Gerrit Notification Bot 2014-07-21 18:44:00 UTC
Change 135290 abandoned by 01tonythomas:
Shifted from PEAR/PHP mailer to Swift Mailer

Reason:
Abandoning in favour of I7de5a4228a34b2d56d5ed8f0d9e48a6066012e41. SwiftMailer has been moved to a new extension.

https://gerrit.wikimedia.org/r/135290
Comment 7 Kunal Mehta (Legoktm) 2014-08-01 19:19:03 UTC
Consensus was that SwiftMailer should not go into core. WONTFIXing accordingly.

Tony has written [[mw:Extension:SwiftMailer]] as part of his GSoC project though.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links